AsmRefPlane.AddBy3Points - how to obtain objects from 3D sketch (part 2)

Pioneer
Pioneer

Hi, this is like second part of my originally question how to generally get points of type Objects for creating 3D reference plane by 3 points in assembly environment.

 

As the points for creating plane I can get StartVertex and EndVertex of Edges of Shells (of bodies in the Occurrences) .

The another issue is how to get object points of KeyPoints of 3D sketches. I cannot find any method to do this. I can get just their positions by SolidEdgePart.Line3D.GetKeypointPosition(), but I need COM object of that points..

Has anyone idea how to do this?

 

Thank you

Lubos